curl --location 'https://integrations.projectcor.com/v2/integrations/brands' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-BRAND-12345',
name: 'Acme Premium',
client_id: 'SF-ACC-67890'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found",
"code": "ZC004"
}
Brands
Create Brand
Creates a new brand in your COR instance with external ID mapping
POST
/
v2
/
integrations
/
brands
curl --location 'https://integrations.projectcor.com/v2/integrations/brands' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-BRAND-12345',
name: 'Acme Premium',
client_id: 'SF-ACC-67890'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found",
"code": "ZC004"
}
Creates a new brand in your COR instance through the integrations service. The brand must be associated with an existing client that was previously created through the integrations API.
Request Body Requirements
string
required
External brand ID from your source system
string
required
Brand name
string
required
External client ID. The client must have been previously created through the integrations API.
Known Errors
ValidationError— Missing required fieldsClientNotFoundError— The specified client does not exist in the integration mappingsDuplicateExternalIdError— A brand with this external ID already exists for this source
curl --location 'https://integrations.projectcor.com/v2/integrations/brands' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-BRAND-12345",
"name": "Acme Premium",
"client_id": "SF-ACC-67890"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-BRAND-12345',
name: 'Acme Premium',
client_id: 'SF-ACC-67890'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

